Loading...
Searching...
No Matches
pcl::io::LZFRGB24ImageWriter Class Reference
Module io

PCL-LZF 24-bit RGB image format writer. More...

`#include <pcl/io/lzf_image_io.h>`

Inheritance diagram for pcl::io::LZFRGB24ImageWriter:

## Public Member Functions

| LZFRGB24ImageWriter ()=default
| Empty constructor.
| ~LZFRGB24ImageWriter () override=default
| Empty destructor.
bool | write (const char *data, std::uint32_t width, std::uint32_t height, const std::string &filename) override
| Save a 24-bit RGB image into PCL-LZF format.
bool | writeParameters (const CameraParameters &parameters, const std::string &filename) override
| Write camera parameters to disk.
Public Member Functions inherited from pcl::io::LZFImageWriter
| LZFImageWriter ()=default
| Empty constructor.
virtual | ~LZFImageWriter ()=default
| Empty destructor.
virtual bool | write (const char *data, std::uint32_t width, std::uint32_t height, const CameraParameters &parameters, const std::string &filename_data, const std::string &filename_xml)
| Save an image and its camera parameters into PCL-LZF format.
bool | writeParameter (const double &parameter, const std::string &tag, const std::string &filename)
| Write a single image/camera parameter to file, given an XML tag.

## Additional Inherited Members

Protected Member Functions inherited from pcl::io::LZFImageWriter
bool | saveImageBlob (const char *data, std::size_t data_size, const std::string &filename)
| Save a compressed image array to disk.
std::uint32_t | compress (const char *input, std::uint32_t input_size, std::uint32_t width, std::uint32_t height, const std::string &image_type, char *output)
| Realtime LZF compression.

## Detailed Description

PCL-LZF 24-bit RGB image format writer.

The main advantage of using the PCL-LZF image I/O routines is a very good file size versus I/O speed ratio. Tests performed using LZF, Snappy, ZIP, GZ2, BZIP2, as well as PNG, JPEG, and TIFF compression have shown that the internal PCL LZF methods provide the best score for the types of applications PCL is suited for.

Author
  Radu B. Rusu

Definition at line 531 of file lzf_image_io.h.

## Constructor & Destructor Documentation

## LZFRGB24ImageWriter()

pcl::io::LZFRGB24ImageWriter::LZFRGB24ImageWriter | ( |  | ) |

default

Empty constructor.

## ~LZFRGB24ImageWriter()

pcl::io::LZFRGB24ImageWriter::~LZFRGB24ImageWriter | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## write()

bool pcl::io::LZFRGB24ImageWriter::write | ( | const char * | data,
|  | std::uint32_t | width,
|  | std::uint32_t | height,
|  | const std::string & | filename )

override virtual

Save a 24-bit RGB image into PCL-LZF format.

Parameters

  [in] | data | the array holding the RGB image (as [RGB..RGB] or [BGR..BGR])
  [in] | width | the with of the data array
  [in] | height | the height of the data array
  [in] | filename | the file name to write (preferred extension: .pclzf)

Returns
  true if operation successful, false otherwise

Implements pcl::io::LZFImageWriter.

Reimplemented in pcl::io::LZFYUV422ImageWriter.

## writeParameters()

bool pcl::io::LZFRGB24ImageWriter::writeParameters | ( | const CameraParameters & | parameters,
|  | const std::string & | filename )

override virtual

Write camera parameters to disk.

Parameters

  [in] | parameters | the camera parameters
  [in] | filename | the file name to write

Returns
  true if operation successful, false otherwise

Implements pcl::io::LZFImageWriter.

The documentation for this class was generated from the following file:

- pcl/io/lzf_image_io.h